Bug 55544 - freetype package providing libs/programs that freetype-utils should
Summary: freetype package providing libs/programs that freetype-utils should
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: freetype (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-01 20:07 UTC by Rodney Dawes
Modified: 2007-04-18 16:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-11-01 20:07:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rodney Dawes 2001-11-01 20:07:11 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux ppc; en-US; rv:0.9.5) Gecko/20011015

Description of problem:
freetype is providing libttf.so.2, libttf.so.2.3.0 and ttmkfdir, these and
any other files relevant to the tarballs they are from should be moved to
the freetype-utils package, or possibly to other packages.  This will allow
better compatibility with third party packages such as the Ximian Desktop
that ship a freetype package that gets installed over the distribution
package. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Install third party freetype packages that don't contain freetype-pre1.4
and ttmkfdir as Sources.

Actual Results:  freetype-utils gets removed and ttmkfdir is no longer
available for installing new TrueType fonts.

Expected Results:  These should remain intact when installing third party
software.

Additional info:

Comment 1 Mike A. Harris 2001-11-02 04:11:49 UTC
freetype is a core system library in Red Hat Linux.  Red Hat does not
support 3rd party packages upgrading core system components.


Note You need to log in before you can comment on or make changes to this bug.